/// Standard internal filenames for Wolfenstein 3D data components.
enum GameFile {
  vswap('VSWAP'),
  mapHead('MAPHEAD'),
  gameMaps('GAMEMAPS'),
  vgaDict('VGADICT'),
  vgaHead('VGAHEAD'),
  vgaGraph('VGAGRAPH'),
  audioHed('AUDIOHED'),
  audioT('AUDIOT')
  ;

  /// The filename without the extension (e.g., 'VSWAP').
  final String baseName;
  const GameFile(this.baseName);
}
